# Class TapSchemaStage

java.lang.Object
uk.ac.starlink.ttools.taplint.TableMetadataStage
uk.ac.starlink.ttools.taplint.TapSchemaStage

All Implemented Interfaces:
  `MetadataHolder, Stage`

public class TapSchemaStage extends TableMetadataStage
Validation stage for checking table metadata from the TAP_SCHEMA tables.

Since:
  6 Jun 2011
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TapSchemaStage(TapRunner tapRunner)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected MetadataHolder`
`readTableMetadata(Reporter reporter, uk.ac.starlink.vo.TapService tapService)`
Reads an object providing table metadata to check.
`void`
`run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)`
Performs the validation checks for this stage.

### Methods inherited from class TableMetadataStage

`getDescription, getSourceDescription, getTableMetadata, hasDetail, setTableFilter`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TapSchemaStage

public TapSchemaStage(TapRunner tapRunner)
Constructor.

Parameters:
  `tapRunner` - object to perform TAP queries

## Method Details

### run

public void run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)
Description copied from interface: `Stage`
Performs the validation checks for this stage.

Specified by:
  `run` in interface `Stage`
Overrides:
  `run` in class `TableMetadataStage`
Parameters:
  `reporter` - destination for validation messages
  `tapService` - TAP service description

### readTableMetadata

protected MetadataHolder readTableMetadata(Reporter reporter, uk.ac.starlink.vo.TapService tapService)
Description copied from class: `TableMetadataStage`
Reads an object providing table metadata to check.

Specified by:
  `readTableMetadata` in class `TableMetadataStage`
Parameters:
  `reporter` - destination for messages
  `tapService` - TAP service description
Returns:
  fully populated metadata object